<?php
/* Portfolio Block */
if(!class_exists('AQ_Portfolio_Block')) {
	class AQ_Portfolio_Block extends AQ_Block {
		
		function __construct() {
			$block_options = array(
				'name' => 'Portfolio',
				'size' => 'span12',
			);
			
			//create the widget
			parent::__construct('AQ_Portfolio_Block', $block_options);
		}
		
		function form($instance) {
			$defaults = array(
				'img' => '',
			);
			$instance = wp_parse_args($instance, $defaults);
			extract($instance);
			
			?>
			<p class="description half">
				<label for="<?php echo $this->get_field_id('title') ?>">
					Title<br/>
					<?php echo aq_field_input('title', $block_id, $title) ?>
				</label>
			</p>
			<?php
		}
		
		function block($instance) {
			extract($instance); ?>
			
            <div class="portfolio-wrap">
                <div class="container hide-content">
                
					<?php if (have_posts()) {		
                    
                        $args = array(
                            'post_type'			=> 'portfolio',
                        );
                        $query = new WP_Query($args);
                    
                    while ( $query->have_posts() ) : $query->the_post(); ?>
                        
                        <?php the_content(); ?>  
                        
                    <?php endwhile; } wp_reset_query(); ?>
                    
                </div>
            </div>
                    
            <div class="portfolio-wrap">
                <div class="container">
                    
                    <?php if(!is_single()) { ?>
                    <div id="portfolio-inner"></div>
                    <div id="ct-loader"><img src="<?php echo get_template_directory_uri() ?>/images/loader.gif"/></div>
                    <?php } ?>
    
                    <div>
                        <?php ct_tags_nav(); ?>
                        
                        <?php if(!is_single()) { ?>
                            <div class="clear"></div>
                        <div id="isotope-container">
                            <?php get_template_part('loop', 'portfolio'); ?>
                        </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
			
		<?php }
		
		
	}
}