<?php
/**
 * Header Template
 *
 * @package WP Ample
 * @subpackage Template
 */

// Load Theme Options
global $ct_options;

?>
<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="<?php language_attributes(); ?>"><![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="<?php language_attributes(); ?>"><![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="<?php language_attributes(); ?>"><![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html lang="<?php language_attributes(); ?>"><!--<![endif]-->
<head>

	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<title><?php ct_title(); ?></title>
	<meta name="description" content="<?php bloginfo('description'); ?>" />

	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    
    <link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
    <link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" />
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
    
    <?php wp_enqueue_script("jquery"); ?>

	<?php wp_head(); ?>
    
    <?php if($ct_options['ct_use_styles'] == "Yes") {
		get_template_part('/includes/custom-stylesheet.php' );
    } ?>
    
</head>

<body<?php ct_body_id('top'); ?> <?php body_class(); ?>>

    <div class="wrapper">
    
        <header id="masthead">
        
			<?php ct_nav(); ?>
        
			<?php if($ct_options['ct_text_logo'] == "Yes") { ?>
                <div id="logo" class="right">
                    <h2><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></h2>
                </div>
            <?php } else { ?>
                <?php if($ct_options['ct_logo']) { ?>
                    <a href="<?php echo home_url(); ?>"><img id="logo" class="right" src="<?php echo $ct_options['ct_logo']; ?>" alt="<?php bloginfo('name'); ?>" /></a>
                <?php } else { ?>
                    <a href="<?php echo home_url(); ?>"><img id="logo" class="right" src="<?php echo get_template_directory_uri(); ?>/images/ample-logo.png" alt="WP Ample, a WordPress theme by Contempo" /></a>
                <?php } ?>
            <?php } ?>
            
                <div class="clear"></div>   
        </header>
        
        <section id="main-content">
			<?php if(is_home()) { ?>
                <div class="backstretch-caption content-fade"></div>
                
                <?php if($ct_options['ct_body_bg_images_controls'] == "Yes") { ?>
                <div id="backstretch-slide-controls">
                    <a class="slide-prev btn" href="#"><i class="icon-backward"></i> Prev</a>
                    <a class="slide-pause btn icon-pause" href="#"></a>
                    <a class="slide-next btn" href="#">Next <i class="icon-forward"></i></a>
                </div>
                <?php } ?>
            <?php } ?>