<?php
/**
 * Ajax Portfolio Single Include
 *
 * @package WP Ample
 * @subpackage Include
 */

$photo = ct_get_post_image();

if (have_posts()) {		

while ( have_posts() ) : the_post(); ?>
	
    <article <?php post_class('marT20 marB20'); ?>>
        <div class="marB20 padB20 borderBD">
            <h3 class="left"><?php the_title(); ?></h3>
            <ul class="prev-next right">
                <li><a class="prev" href="#"><img src="<?php echo get_template_directory_uri(); ?>/images/icons/prev.png" /></a></li>
                <li><a class="next" href="#"><img src="<?php echo get_template_directory_uri(); ?>/images/icons/next.png" /></a></li>
                <li><a class="close" href="#"><img src="<?php echo get_template_directory_uri(); ?>/images/icons/close.png" /></a></li>
            </ul>
                <div class="clear"></div>
        </div>
        <div class="ten columns alpha">
			<?php if(get_post_meta($post->ID, "_ct_video", true)) {
				echo '<div class="video">';
				echo stripslashes(get_post_meta($post->ID, "_ct_video", true));
				echo '</div>'; 
			} else {
				$attachments = get_children(
					array(
						'post_type' => 'attachment',
						'post_mime_type' => 'image',
						'post_parent' => $post->ID
					));
				if(count($attachments) > 1) {
					echo '<div class="flexslider">';
					echo	'<ul class="slides">';
								ct_portfolio_slider_images();
					echo	'</ul>';
					echo '</div>';
				} else { ?>
					<img src="<?php echo aq_resize($photo, 598); ?>" />
				<?php }
			} ?>
        </div>
        <div class="six columns omega marT20">
            <div class="content">
				<?php the_content(); ?>
            </div>
            <ul id="portfolio-info">
				<?php if(get_post_meta($post->ID, "_ct_focus", true)) { ?>
                <li><strong><em>Focus:</em></strong> <?php echo get_post_meta($post->ID, "_ct_focus", true); ?></li>
                <?php } ?>
				<?php if(get_post_meta($post->ID, "_ct_client", true)) { ?>
                <li><strong><em>Client:</em></strong> <?php echo get_post_meta($post->ID, "_ct_client", true); ?></li>
                <?php } ?>
                <li><strong><em>Date:</em></strong> <?php the_time($GLOBALS['ctdate']); ?></li>
                <?php if(get_post_meta($post->ID, "_ct_site", true)) { ?>
                <li><em><a href="<?php echo get_post_meta($post->ID, "_ct_site", true); ?>">Visit Site</a></em></li>
                <?php } ?>
            </ul>
        </div>
		<div class="clear"></div>
    </article>
    
<?php endwhile; ?>

	<?php ct_content_nav(); ?>

<?php } else { ?>

    <p class="nomatches left clear"><?php _e( 'Apologies, but no results were found for the requested archive.<br />Perhaps searching will help find a related post.', 'contempo' ); ?></p>
    
<?php } wp_reset_query(); ?>