/**
 * Core
 *
 * @package WP Ample
 * @subpackage JavaScript
 */

jQuery.noConflict();

jQuery(document).ready(function($){
	
	/*-----------------------------------------------------------------------------------*/
	/* Remove fade class for IE */
	/*-----------------------------------------------------------------------------------*/
	
	if ($.browser.msie) {
		$('.content-fade').removeClass('content-fade');
	}
	
	/*-----------------------------------------------------------------------------------*/
	/* Create responsive menu for mobile */
	/*-----------------------------------------------------------------------------------*/
	
	jQuery('header #nav').meanmenu({
		meanScreenWidth: 767
	});
	
	/*-----------------------------------------------------------------------------------*/
	/* Testimonials Widget */
	/*-----------------------------------------------------------------------------------*/
	
	$('.widget_ct_testimonials .testimonials').cycle({ 
		fx:     'fade', 
		speed:  'fast', 
		timeout: 0, 
		next:   '.next.test', 
		prev:   '.prev.test' 
	});
	
	/*-----------------------------------------------------------------------------------*/
	/* Portfolio Widget */
	/*-----------------------------------------------------------------------------------*/
	
	$('.widget_ct_portfolio .portfolio').cycle({ 
		fx:     'fade', 
		speed:  'fast', 
		timeout: 0, 
		next:   '.next.port', 
		prev:   '.prev.port' 
	});
	
	/*-----------------------------------------------------------------------------------*/
	/* Navigation Toggle */
	/*-----------------------------------------------------------------------------------*/
	
	$(".show-hide").click(function(){
		$(".toggle").slideToggle("slow");
		$(this).toggleClass("active").html('Expand Map'); return false;
		$(this).toggleClass(":hidden").html('Hide Map'); return false;
	});
	
	/*-----------------------------------------------------------------------------------*/
	/* Initialize FitVids */
	/*-----------------------------------------------------------------------------------*/
	
	$("section").fitVids();
	
	/*-----------------------------------------------------------------------------------*/
	/* Add class for prev/next icons */
	/*-----------------------------------------------------------------------------------*/
	
	$('.prev-next .nav-prev a').addClass('icon-arrow-left');
	$('.prev-next .nav-next a').addClass('icon-arrow-right');
	
	/*-----------------------------------------------------------------------------------*/
	/* Isotope for portfolio filtering */
	/*-----------------------------------------------------------------------------------*/
	
	var $container = $('#isotope-container');
	$container.imagesLoaded( function(){
		$container.isotope();
	});
	$container.isotope({
		itemSelector: '.item',
		layoutMode: 'masonry',
		animationOptions: {
			duration: 400,
			easing: 'swing',
			queue: false
		}
	});
	// filter items when filter link is clicked
	$('#tags-nav a').click(function(){
		var selector = $(this).attr('data-filter');
		$container.isotope({ filter: selector });
		return false;
	});
	
	/*-----------------------------------------------------------------------------------*/
	/* Add last class to every third isotope item */
	/*-----------------------------------------------------------------------------------*/
	
	//$("#isotope-container li:nth-child(3n+3)").addClass("last");
	
	/*-----------------------------------------------------------------------------------*/
	/* Add last class to every third related item */
	/*-----------------------------------------------------------------------------------*/
	
	$("li.related:nth-child(3n+3)").addClass("last");
	
	/*-----------------------------------------------------------------------------------*/
	/* Initialize PrettyPhoto */
	/*-----------------------------------------------------------------------------------*/
	
	$("a[rel^='prettyPhoto']").prettyPhoto();
	
	/*-----------------------------------------------------------------------------------*/
	/* Add last class to footer widgets */
	/*-----------------------------------------------------------------------------------*/
	
	$("footer .widget:nth-child(4n)").addClass("omega");
	
	/*-----------------------------------------------------------------------------------*/
	/* Add drop class to sub-menus */
	/*-----------------------------------------------------------------------------------*/
	
	$("ul.sub-menu").closest("li").addClass("drop");

	/*-----------------------------------------------------------------------------------*/
	/* Image overlay on hover */
	/*-----------------------------------------------------------------------------------*/
	
	$(".overlay").css("opacity","0");
	 
	$(".overlay").hover(function () {
		$(this).stop().animate({
		opacity: 0.9
		}, "fast");
		},
		function () {
		$(this).stop().animate({
		opacity: 0
		}, "fast");
	});
	
	/*-----------------------------------------------------------------------------------*/
	/* Fade opacity on images when hovered */
	/*-----------------------------------------------------------------------------------*/
	
	$("#logo, #topbar img, #articles img, .featured-wrap img, #archive article.post img, .post-type-archive-portfolio section img, .post-social a, .single .lead-image, .widget img, #listing-tools a, #featured-listings a img, article a img").hover(function() {
		$(this).stop().animate({opacity: "0.7"}, 'slow');
	},
	function() {
		$(this).stop().animate({opacity: "1"}, 'slow');
	});
	
});

/*-----------------------------------------------------------------------------------*/
/* Social Popups */
/*-----------------------------------------------------------------------------------*/
	
function popup(pageURL,title,w,h) {
	var left = (screen.width/2)-(w/2);
	var top = (screen.height/2)-(h/2);
	var targetWin = window.open (pageURL, title, 'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=no, resizable=no, copyhistory=no, width='+w+', height='+h+', top='+top+', left='+left);
}