<?php 
/**
 * Loop
 *
 * @package WP Ample
 * @subpackage Template
 */

global $ct_options;

// Paged
$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

// Cat
$cat = get_query_var('cat');

// Get Image Attachements
$attachments = get_children(
    array(
	'post_type' => 'attachment',
	'post_mime_type' => 'image',
	'post_parent' => $post->ID
));
 
if (have_posts()) {		

	$args = array(
		'post_type' => 'post',
		'paged' => $paged,
		'cat' => $cat
	);
	$query = new WP_Query($args);

while ( $query->have_posts() ) : $query->the_post(); ?>
	
    <article <?php post_class(); ?>>
		
        <?php if(has_post_thumbnail()) { ?>
			<div class="onethirdcol left">
                <a class="thumb" href="<?php the_permalink() ?>">
                    <?php the_post_thumbnail(620,200); ?>
                </a>
            </div>
		<?php } ?>
    
        <div class="<?php if(has_post_thumbnail()) { echo 'twothirdcol right'; } ?>">
			<small class="category"><?php $cat = get_the_category(); $cat = $cat[0]; ?><a href="<?php echo home_url(); ?>/?cat=<?php echo $cat->cat_ID; ?>"><?php echo $cat->cat_name; ?></a></small>
            <h2 class="marT5 marB5"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
            <?php include(TEMPLATEPATH . '/includes/post-meta.php'); ?>
            <div class="excerpt marT20 marB20">
                <?php the_excerpt(); ?>
            </div>
                <div class="clear"></div>
        </div>
            <div class="clear"></div>  
        
    </article>
    
<?php endwhile; ?>

	<?php ct_content_nav(); ?>

<?php } else { ?>

    <p class="nomatches left"><?php _e( 'Apologies, but no results were found for the requested archive.<br />Perhaps searching will help find a related post.', 'contempo' ); ?></p>
    
<?php } wp_reset_query(); ?>