<?php
/**
 * Single Template
 *
 * @package WP Ample
 * @subpackage Template
 */

global $ct_options; 

$post_lead = get_post_meta($post->ID, "_ct_post_lead", true);
$post_title = get_post_meta($post->ID, "_ct_post_title", true);
$post_meta = get_post_meta($post->ID, "_ct_post_meta", true);
$post_social = get_post_meta($post->ID, "_ct_post_social", true);

get_header(); ?>
                
        <article class="sixteen columns alpha omega">
			<?php if(get_post_meta($post->ID, "_ct_video", true)) {
				echo '<div class="video marT30 marB30">';
				echo stripslashes(get_post_meta($post->ID, "_ct_video", true));
				echo '</div>'; 
			} ?>
            
            <?php if(get_post_meta($post->ID, "_ct_video", true) == '') {
				$attachments = get_children(
					array(
						'post_type' => 'attachment',
						'post_mime_type' => 'image',
						'post_parent' => $post->ID
					));
				if(count($attachments) > 1) {
					echo '<div class="flexslider marT30">';
					echo	'<ul class="slides">';
								ct_slider_images();
					echo	'</ul>';
					echo '</div>';
				} elseif(has_post_thumbnail()) {
					echo '<figure class="marT30">';
						the_post_thumbnail('large');  
					echo '</figure>';
				}
			} ?>
            
        	<div class="article-inner">
				<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                
                <h1 class="marB0"><?php the_title(); ?></h1>
                
                <ul id="portfolio-info" class="singlecol left marT30">
					<?php if(get_post_meta($post->ID, "_ct_focus", true)) { ?>
                    <li><strong><em>Focus:</em></strong> <?php echo get_post_meta($post->ID, "_ct_focus", true); ?></li>
                    <?php } ?>
                    <?php if(get_post_meta($post->ID, "_ct_client", true)) { ?>
                    <li><strong><em>Client:</em></strong> <?php echo get_post_meta($post->ID, "_ct_client", true); ?></li>
                    <?php } ?>
                    <li><strong><em>Date:</em></strong> <?php the_time($GLOBALS['ctdate']); ?></li>
                    <?php if(get_post_meta($post->ID, "_ct_site", true)) { ?>
                    <li><em><a href="<?php echo get_post_meta($post->ID, "_ct_site", true); ?>">Visit Site</a></em></li>
                    <?php } ?>
                </ul>
                
                <div class="threecol left last marT30">
                    <?php the_content(); ?>
                </div>                      
                    
                <?php //wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'contempo' ) . '</span>', 'after' => '</div>' ) ); ?>
                
                    <div class="clear"></div>
                
                <?php endwhile; endif; ?>
                
                <nav class="marT30">
                    <div class="nav-prev left"><?php next_post_link('%link', '&larr; Previous', TRUE); ?></div>
                    <div class="nav-next right"><?php previous_post_link('%link', 'Next &rarr;', TRUE); ?></div>
                        <div class="clear"></div>
                </nav>
                    <div class="clear"></div>
            </div>
        </article>

<?php get_footer(); ?>