<?php
/**
 * Single Template
 *
 * @package WP Ample
 * @subpackage Template
 */

global $ct_options; 

$post_lead = get_post_meta($post->ID, "_ct_post_lead", true);
$post_title = get_post_meta($post->ID, "_ct_post_title", true);
$post_meta = get_post_meta($post->ID, "_ct_post_meta", true);
$post_social = get_post_meta($post->ID, "_ct_post_social", true);

get_header(); ?>
                
        <article class="eleven columns alpha">
        	<div class="article-inner">
				<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                
                <?php backstretch_single(); ?>
                
                <small class="category"><?php $cat = get_the_category(); $cat = $cat[0]; ?><a href="<?php echo home_url(); ?>/?cat=<?php echo $cat->cat_ID; ?>"><?php echo $cat->cat_name; ?></a></small>
                
                <?php if($post_title == 'Yes') { ?>
                    <h1 class="marB0"><?php the_title(); ?></h1>
                <?php } ?>
                
                <?php if($post_meta == 'Yes') {
                    include(TEMPLATEPATH . '/includes/post-meta.php');
                } ?>
                
                <?php if(get_post_meta($post->ID, "_ct_video", true)) {
                    echo '<div class="video marT30">';
                    echo stripslashes(get_post_meta($post->ID, "_ct_video", true));
                    echo '</div>'; 
                } ?>
                
                <?php if($post_lead == 'Yes') {
                    
                    $attachments = get_children(
                        array(
                            'post_type' => 'attachment',
                            'post_mime_type' => 'image',
                            'post_parent' => $post->ID
                        ));
                    if(count($attachments) > 1) {
                        echo '<div class="flexslider marT30">';
                        echo	'<ul class="slides">';
                                    ct_slider_images();
                        echo	'</ul>';
                        echo '</div>';
                    } elseif(has_post_thumbnail()) {
                        echo '<figure class="marT30">';
                        the_post_thumbnail(620,200);  
                        echo '</figure>';
                    }
                    
                } ?>
                
                <div class="marT30">
                    <?php the_content(); ?>
                </div>
                
                <?php if($post_social == 'Yes') {
                    include(TEMPLATEPATH . '/includes/post-social.php');
                } ?>                        
                    
                <?php //wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'contempo' ) . '</span>', 'after' => '</div>' ) ); ?>
                
                <?php ct_related_posts(); ?>
                
                    <div class="clear"></div>
                
                <?php endwhile; endif; ?>
                
                <nav class="marT30 marB80">
                    <div class="nav-prev left"><?php next_post_link('%link', '&larr; Previous', TRUE); ?></div>
                    <div class="nav-next right"><?php previous_post_link('%link', 'Next &rarr;', TRUE); ?></div>
                        <div class="clear"></div>
                </nav>
                    <div class="clear"></div>
                
                <?php if($ct_options['ct_post_comments'] == "Yes" && comments_open()) { ?>
                <?php comments_template( '', true ); ?>
                <?php } ?>
            </div>
        </article>
        
        <div id="right-sidebar" class="sidebar five columns omega">
			<?php get_template_part('sidebar'); ?>
                <div class="clear"></div>
        </div>

<?php get_footer(); ?>