<?php
/**
 * Template Name: Contact
 *
 * @package WP Ample
 * @subpackage Template
 */

global $ct_options; 

$page_title = get_post_meta($post->ID, "_ct_page_title", true);

get_header(); ?>
                
        <article class="eleven columns alpha">
        	<div class="article-inner">
				<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                
                <?php backstretch_page(); ?>
                
                <?php if($page_title == 'Yes') { ?>
                    <h1 class="marB0"><?php the_title(); ?></h1>
                <?php } ?>
                
                <?php if($ct_options['ct_contact_map'] == "Yes") { ?>
					<?php contact_us_map(); ?>
                <?php } ?>
                
                <div class="marT30">
                    <?php the_content(); ?>
                </div>
                
                <form id="contactform" class="formular marT20" method="post">
                    <fieldset>
                        <div class="input-prepend">
                            <span class="add-on"><i class="icon-user"></i></span>
                            <input type="text" name="name" id="name" class="validate[required,custom[onlyLetter]] text-input" value="Name" onfocus="if(this.value=='Name')this.value = '';" onblur="if(this.value=='')this.value = 'Name';" />
                        </div>
                        
                        <div class="input-prepend">
                            <span class="add-on"><i class="icon-envelope"></i></span>
                            <input type="text" name="email" id="email" class="validate[required,custom[email]] text-input" value="Email" onfocus="if(this.value=='Email')this.value = '';" onblur="if(this.value=='')this.value = 'Email';" />
                        </div>                                
                        
                        <textarea class="validate[required,length[2,500]] text-input" name="message" id="message" rows="10" cols="10"></textarea>
                        
                        <input type="hidden" id="ctyouremail" name="ctyouremail" value="<?php echo $ct_options['ct_contact_email']; ?>" />
                        <input type="hidden" id="ctsubject" name="ctsubject" value="<?php echo stripslashes($ct_options['ct_contact_subject']); ?>" />
                        
                            <div class="clear"></div>
                        
                        <input type="submit" name="Submit" value="Submit" id="submit" class="btn" />  
                    </fieldset>
                </form>
                
                <?php if($post_social == 'Yes') {
                    include(TEMPLATEPATH . '/includes/post-social.php');
                } ?>                        
                    
                <?php //wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'contempo' ) . '</span>', 'after' => '</div>' ) ); ?>
                
                    <div class="clear"></div>
                
                <?php endwhile; endif; ?>
            </div>
        </article>
        
        <div id="right-sidebar" class="sidebar five columns omega">
			<?php get_template_part('sidebar'); ?>
                <div class="clear"></div>
        </div>

<?php get_footer(); ?>